/**
 * Open SUIT - Simple User Interface Toolkit
 * 
 * Copyright (c) 2009 France Telecom, http://www.francetelecom.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package org.ow2.opensuit.samples.spring.ui;

import java.util.Locale;

import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.ow2.opensuit.core.session.OpenSuitSession;

/**
* @author Adrien Ruffie / Pierre Smeyers
* @author http://opensuit.ow2.org/
* @version 1.0
*/
public class UserConfig
{

    public UserConfig()
    {
    }

    public Locale getLocale()
    {
        final HttpServletRequest request = OpenSuitSession.getCurrentRequest();
        final Cookie cookies[] = request.getCookies();
        
        for(int i = 0; i < cookies.length; i++){
        	
            if(cookies[i].getName().equals("lang")){
                return new Locale(cookies[i].getValue());
            }
        }
        
        return OpenSuitSession.getCurrentApplication().getAllLanguages()[0].getLocale();
    }

    public void setLocale(final Locale locale)
    {
    	final HttpServletRequest request = OpenSuitSession.getCurrentRequest();
    	final HttpServletResponse response = OpenSuitSession.getCurrentResponse();
    	final Cookie langCookie = new Cookie("lang", locale.getLanguage());
        langCookie.setPath(request.getContextPath());
        response.addCookie(langCookie);
    }
}
